lkml.org 
[lkml]   [2002]   [Oct]   [17]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
From
Subject[PATCH] 2.5.43-menuconfig
Date
This patch appears not to be in 2.5.43, but applies cleanly.

This patch fixes a failure case in menuconfig which can occur if a kernel
tree is configured on one architecture with menuconfig, and then attempted
to be reconfigured on another architecture.

The kernel detects that the binary can't be run on the second architecture
and correctly returns the appropriate error code. However, the Menuconfig
script ignores this error and retries endlessly, appearing to hang.

This patch makes menuconfig display a message and exit rather than
endlessly looping.

scripts/Menuconfig | 20 ++++++++++++++++++++
1 files changed, 20 insertions

diff -ur orig/scripts/Menuconfig linux/scripts/Menuconfig
--- orig/scripts/Menuconfig Sat Oct 12 10:02:17 2002
+++ linux/scripts/Menuconfig Sat Oct 12 10:45:13 2002
@@ -909,6 +909,26 @@
cleanup
exit 139
;;
+ 126|127)
+ stty sane
+ clear
+ cat << EOM
+
+There seems to be a problem with the lxdialog companion utility which is
+built prior to running Menuconfig. lxdialog could not be found, or could
+not be executed. This can be caused when lxdialog has been built for a
+different architecture.
+
+You should rebuild lxdialog. This can be done by moving to the
+/usr/src/linux/scripts/lxdialog directory and issuing the "make clean all"
+command.
+
+If the problem persists, you may email the maintainer <mec@shout.net> or
+post a message to <linux-kernel@vger.kernel.org> for additional assistance.
+
+EOM
+ cleanup
+ exit 1
esac
done
}
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:30    [W:0.128 / U:1.748 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site